/*
Navicat MySQL Data Transfer

Source Server         : led
Source Server Version : 50717
Source Host           : localhost:3306
Source Database       : ledrobotold

Target Server Type    : MYSQL
Target Server Version : 50717
File Encoding         : 65001

Date: 2022-12-31 10:36:29
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for account
-- ----------------------------
DROP TABLE IF EXISTS `account`;
CREATE TABLE `account` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mines_id` int(11) DEFAULT '0' COMMENT '所属矿ID',
  `username` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT '' COMMENT '职称',
  `nickname` varchar(255) DEFAULT '' COMMENT '名字',
  `password` varchar(255) DEFAULT NULL,
  `role_id` int(11) DEFAULT '0' COMMENT '角色ID',
  `dept_id` int(11) DEFAULT '0' COMMENT '所属的部门',
  `autograph_attachment_id` int(11) DEFAULT '0' COMMENT '签名图片',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of account
-- ----------------------------
INSERT INTO `account` VALUES ('1', '0', 'admin', '', '', 'admin', '1', '0', '0');
INSERT INTO `account` VALUES ('2', '0', 'admin', '', '', '21232f297a57a5a743894a0e4a801fc3', '1', '0', '0');

-- ----------------------------
-- Table structure for approve_report_account
-- ----------------------------
DROP TABLE IF EXISTS `approve_report_account`;
CREATE TABLE `approve_report_account` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL COMMENT '账号ID 审批人的账号ID',
  `account_name` varchar(255) DEFAULT NULL COMMENT '审批人名字',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of approve_report_account
-- ----------------------------

-- ----------------------------
-- Table structure for approve_report_log
-- ----------------------------
DROP TABLE IF EXISTS `approve_report_log`;
CREATE TABLE `approve_report_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `day` varchar(255) NOT NULL COMMENT '报表日期',
  `account_id` int(11) NOT NULL COMMENT '同一天审批一次就行了',
  `account_name` varchar(255) DEFAULT '' COMMENT '审批人名字',
  `status` int(12) DEFAULT '0' COMMENT '1 不通过 审批 2 通过审批',
  `note` varchar(255) DEFAULT NULL COMMENT '审批备注、不通过原因等',
  `create_time` datetime NOT NULL COMMENT '审批时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of approve_report_log
-- ----------------------------

-- ----------------------------
-- Table structure for app_heartbeat
-- ----------------------------
DROP TABLE IF EXISTS `app_heartbeat`;
CREATE TABLE `app_heartbeat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_name` varchar(255) DEFAULT '',
  `app_status` int(11) DEFAULT '0' COMMENT '应用程序类型',
  `update_time` datetime DEFAULT NULL COMMENT '最后心跳时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of app_heartbeat
-- ----------------------------
INSERT INTO `app_heartbeat` VALUES ('1', '中控室端', '0', '2024-01-01 00:00:00');

-- ----------------------------
-- Table structure for app_text_audio_log
-- ----------------------------
DROP TABLE IF EXISTS `app_text_audio_log`;
CREATE TABLE `app_text_audio_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `device_imei` varchar(255) DEFAULT '' COMMENT '设备唯一ID',
  `aduio_msg` varchar(255) DEFAULT NULL COMMENT '播放得文字语音消息',
  `device_ip` varchar(255) DEFAULT NULL COMMENT '设备链接时得IP',
  `from_wifi_ssid` varchar(255) DEFAULT NULL COMMENT '来自那个wifi名称 wifi得SSID',
  `create_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of app_text_audio_log
-- ----------------------------

-- ----------------------------
-- Table structure for attachment
-- ----------------------------
DROP TABLE IF EXISTS `attachment`;
CREATE TABLE `attachment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `url` varchar(512) DEFAULT NULL COMMENT '下载路径',
  `file_name` varchar(512) NOT NULL DEFAULT '' COMMENT '文件名各种各样的文件名称',
  `full_path` varchar(512) DEFAULT NULL,
  `create_time` datetime NOT NULL COMMENT '上传时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of attachment
-- ----------------------------

-- ----------------------------
-- Table structure for battery
-- ----------------------------
DROP TABLE IF EXISTS `battery`;
CREATE TABLE `battery` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `batteryVoltage` double DEFAULT NULL COMMENT '电池组电压',
  `batteryCurrent` double DEFAULT NULL COMMENT '电池电流',
  `robotPid` int(11) DEFAULT NULL,
  `sensorPid` int(11) DEFAULT NULL COMMENT '关联的地点',
  `batteryIp` varchar(255) DEFAULT '' COMMENT '电源模块IP',
  `batteryInfo` varchar(510) DEFAULT NULL,
  PRIMARY KEY (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of battery
-- ----------------------------

-- ----------------------------
-- Table structure for battery_details
-- ----------------------------
DROP TABLE IF EXISTS `battery_details`;
CREATE TABLE `battery_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sensor_pid` int(11) NOT NULL DEFAULT '0' COMMENT '关联的地点设备ID',
  `device_location` varchar(255) DEFAULT '' COMMENT '关联的地点设备ID',
  `battery_ip` varchar(255) DEFAULT '',
  `power_supply_mode` varchar(255) DEFAULT '' COMMENT '供电方式（内部，外部）',
  `battery_state` varchar(255) DEFAULT '' COMMENT '电池状态（充电，放电）',
  `temperature` double(11,2) DEFAULT '0.00' COMMENT '温度',
  `humidity` double(11,2) DEFAULT '0.00' COMMENT '湿度',
  `battery_voltage` float(11,2) DEFAULT '0.00' COMMENT '电池电压',
  `voltage1` double(11,2) DEFAULT '0.00',
  `voltage2` double(11,2) DEFAULT '0.00',
  `voltage3` double(11,2) DEFAULT '0.00',
  `voltage4` double(11,2) DEFAULT '0.00',
  `voltage5` double(11,2) DEFAULT '0.00',
  `voltage6` double(11,2) DEFAULT '0.00',
  `voltage7` double(11,2) DEFAULT '0.00',
  `voltage8` double(11,2) DEFAULT '0.00',
  `voltage9` double(11,2) DEFAULT '0.00',
  `update_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '最后更新时间',
  PRIMARY KEY (`id`),
  KEY `sensor_pid_update_time` (`sensor_pid`,`update_time`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of battery_details
-- ----------------------------

-- ----------------------------
-- Table structure for battery_info
-- ----------------------------
DROP TABLE IF EXISTS `battery_info`;
CREATE TABLE `battery_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sensor_pid` int(11) NOT NULL DEFAULT '0' COMMENT '关联的地点设备ID',
  `device_id` varchar(255) DEFAULT '' COMMENT '电源主板的唯一编号',
  `device_location` varchar(255) DEFAULT '' COMMENT '关联的地点设备ID',
  `battery_ip` varchar(255) DEFAULT '',
  `power_supply_mode` varchar(255) DEFAULT '' COMMENT '供电方式（内部，外部）',
  `battery_state` varchar(255) DEFAULT '' COMMENT '电池状态（充电，放电）',
  `temperature` double(11,2) DEFAULT '0.00' COMMENT '温度',
  `humidity` double(11,2) DEFAULT '0.00' COMMENT '湿度',
  `battery_voltage` float(11,2) DEFAULT '0.00' COMMENT '电池电压',
  `voltage1` double(11,2) DEFAULT '0.00',
  `voltage2` double(11,2) DEFAULT '0.00',
  `voltage3` double(11,2) DEFAULT '0.00',
  `voltage4` double(11,2) DEFAULT '0.00',
  `voltage5` double(11,2) DEFAULT '0.00',
  `voltage6` double(11,2) DEFAULT '0.00',
  `voltage7` double(11,2) DEFAULT '0.00',
  `voltage8` double(11,2) DEFAULT '0.00',
  `voltage9` double(11,2) DEFAULT '0.00',
  `update_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '最后更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of battery_info
-- ----------------------------

-- ----------------------------
-- Table structure for content
-- ----------------------------
DROP TABLE IF EXISTS `content`;
CREATE TABLE `content` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `displayName` varchar(255) DEFAULT NULL COMMENT '默认显示的名称',
  `displayType` varchar(255) DEFAULT NULL COMMENT '类型',
  `contentPath` varchar(255) DEFAULT NULL COMMENT '路径',
  `xml_content` longtext COMMENT 'XML 文件内容',
  PRIMARY KEY (`pid`)
) ENGINE=InnoDB AUTO_INCREMENT=212 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of content
-- ----------------------------
INSERT INTO `content` VALUES ('1', '默认', 'DEFAULT', null, null);
INSERT INTO `content` VALUES ('2', '文字', 'TEXT', '2富强、民主、文明、和谐、自由、平等、公正、法治、爱国、敬业、诚信、友善', null);
INSERT INTO `content` VALUES ('3', '图片', 'IMAGE', 'resources\\test.png', null);
INSERT INTO `content` VALUES ('4', '视频', 'VIDEO', 'resources\\test.mp4', null);
INSERT INTO `content` VALUES ('5', '默认', 'SPECIAL', '', null);
INSERT INTO `content` VALUES ('11', '默认2', 'MODEL2', null, null);
INSERT INTO `content` VALUES ('21', '默认3', 'MODEL3', null, null);
INSERT INTO `content` VALUES ('211', '默认3', 'MODEL31', null, null);

-- ----------------------------
-- Table structure for content_ueditor
-- ----------------------------
DROP TABLE IF EXISTS `content_ueditor`;
CREATE TABLE `content_ueditor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) DEFAULT '0' COMMENT '谁发布的账户ID',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT '标题',
  `content` longtext NOT NULL COMMENT '网页内容',
  `type` int(11) DEFAULT '0' COMMENT '0  同步屏  1 异步屏 ',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of content_ueditor
-- ----------------------------

-- ----------------------------
-- Table structure for custom_task
-- ----------------------------
DROP TABLE IF EXISTS `custom_task`;
CREATE TABLE `custom_task` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `task_name` varchar(255) DEFAULT '' COMMENT '任务名称',
  `type_id` int(11) NOT NULL COMMENT '任务类型唯一标识',
  `task_info` longtext,
  `start_time` datetime NOT NULL,
  `end_time` datetime NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0' COMMENT '0 未执行 1 执行成功 2 执行失败',
  `create_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of custom_task
-- ----------------------------

-- ----------------------------
-- Table structure for dailyreport
-- ----------------------------
DROP TABLE IF EXISTS `dailyreport`;
CREATE TABLE `dailyreport` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `night1Pid` int(11) DEFAULT NULL,
  `night2Pid` int(11) DEFAULT NULL,
  `early1Pid` int(11) DEFAULT NULL,
  `early2Pid` int(11) DEFAULT NULL,
  `middle1Pid` int(11) DEFAULT NULL,
  `middle2Pid` int(11) DEFAULT NULL,
  `reportDate` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of dailyreport
-- ----------------------------

-- ----------------------------
-- Table structure for dept
-- ----------------------------
DROP TABLE IF EXISTS `dept`;
CREATE TABLE `dept` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dept_name` varchar(255) DEFAULT '' COMMENT '部门名称',
  `note` varchar(255) DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of dept
-- ----------------------------
INSERT INTO `dept` VALUES ('1', '机电部', '');
INSERT INTO `dept` VALUES ('2', '通风部', '');

-- ----------------------------
-- Table structure for device
-- ----------------------------
DROP TABLE IF EXISTS `device`;
CREATE TABLE `device` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `stationId` varchar(20) DEFAULT NULL COMMENT '服务ID',
  `deviceId` varchar(20) DEFAULT NULL COMMENT '设备编号',
  `deviceIp` varchar(25) DEFAULT NULL COMMENT '设备IP地址',
  `coordinateX` double DEFAULT NULL,
  `coordinateY` double DEFAULT NULL,
  `coordinateZ` double DEFAULT NULL,
  PRIMARY KEY (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of device
-- ----------------------------

-- ----------------------------
-- Table structure for flyway_demo
-- ----------------------------
DROP TABLE IF EXISTS `flyway_demo`;
CREATE TABLE `flyway_demo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `first` varchar(100) NOT NULL,
  `last` varchar(100) NOT NULL,
  `dateofbirth` date DEFAULT NULL,
  `placeofbirth` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of flyway_demo
-- ----------------------------
INSERT INTO `flyway_demo` VALUES ('1', 'Dursun', 'KOC', '1982-02-10', 'Erzincan');
INSERT INTO `flyway_demo` VALUES ('2', 'Durseeun', 'KeeOC', '1982-05-10', 'Erzeeincan');

-- ----------------------------
-- Table structure for flyway_schema_history
-- ----------------------------
DROP TABLE IF EXISTS `flyway_schema_history`;
CREATE TABLE `flyway_schema_history` (
  `installed_rank` int(11) NOT NULL,
  `version` varchar(50) DEFAULT NULL,
  `description` varchar(200) NOT NULL,
  `type` varchar(20) NOT NULL,
  `script` varchar(1000) NOT NULL,
  `checksum` int(11) DEFAULT NULL,
  `installed_by` varchar(100) NOT NULL,
  `installed_on` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `execution_time` int(11) NOT NULL,
  `success` tinyint(1) NOT NULL,
  PRIMARY KEY (`installed_rank`),
  KEY `flyway_schema_history_s_idx` (`success`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of flyway_schema_history
-- ----------------------------
INSERT INTO `flyway_schema_history` VALUES ('1', '1', '<< Flyway Baseline >>', 'BASELINE', '<< Flyway Baseline >>', null, 'root', '2020-08-03 14:24:58', '0', '1');
INSERT INTO `flyway_schema_history` VALUES ('2', '201910241650', 'demo', 'SQL', 'V201910241650__demo.sql', '734004597', 'root', '2020-08-03 14:24:59', '64', '1');
INSERT INTO `flyway_schema_history` VALUES ('3', '202008101738', 'AddReportBase', 'SQL', 'V202008101738__AddReportBase.sql', '-2034058198', 'root', '2020-08-10 17:44:16', '51', '1');
INSERT INTO `flyway_schema_history` VALUES ('4', '202008101740', 'AddReportMode', 'SQL', 'V202008101740__AddReportMode.sql', '-2009289332', 'root', '2020-08-10 17:48:07', '63', '1');
INSERT INTO `flyway_schema_history` VALUES ('5', '202011101533', 'AddLogNetWork', 'SQL', 'V202011101533__AddLogNetWork.sql', '-1926936467', 'root', '2020-11-01 15:35:04', '41', '1');
INSERT INTO `flyway_schema_history` VALUES ('6', '202011191056', 'AddLedLog', 'SQL', 'V202011191056__AddLedLog.sql', '-1569145551', 'root', '2020-11-20 18:11:19', '51', '1');
INSERT INTO `flyway_schema_history` VALUES ('7', '202011191602', 'UpdateMaxSetting', 'SQL', 'V202011191602__UpdateMaxSetting.sql', '855043819', 'root', '2020-11-19 16:06:39', '229', '1');
INSERT INTO `flyway_schema_history` VALUES ('8', '202011231050', 'UpdateLedLog', 'SQL', 'V202011231050__UpdateLedLog.sql', '-427559215', 'root', '2020-11-23 11:52:55', '128', '1');
INSERT INTO `flyway_schema_history` VALUES ('9', '202012071219', 'UpdateLed', 'SQL', 'V202012071219__UpdateLed.sql', '1004225957', 'root', '2020-12-07 12:28:46', '338', '1');
INSERT INTO `flyway_schema_history` VALUES ('10', '202103101013', 'AddH2S', 'SQL', 'V202103101013__AddH2S.sql', '-1168536675', 'root', '2021-04-01 16:36:34', '126', '1');
INSERT INTO `flyway_schema_history` VALUES ('11', '202104010938', 'AddBateryDetails', 'SQL', 'V202104010938__AddBateryDetails.sql', '784978220', 'root', '2021-04-01 16:36:35', '59', '1');
INSERT INTO `flyway_schema_history` VALUES ('12', '202104071552', 'AddLedNetworkGather', 'SQL', 'V202104071552__AddLedNetworkGather.sql', '-590177916', 'root', '2021-04-07 15:54:26', '57', '1');
INSERT INTO `flyway_schema_history` VALUES ('13', '202104091030', 'AddSettingsSensor', 'SQL', 'V202104091030__AddSettingsSensor.sql', '-1202654692', 'root', '2021-04-09 10:30:01', '34', '1');
INSERT INTO `flyway_schema_history` VALUES ('14', '202104151727', 'AddAccount', 'SQL', 'V202104151727__AddAccount.sql', '1873486983', 'root', '2021-04-15 17:32:08', '76', '1');
INSERT INTO `flyway_schema_history` VALUES ('15', '202104161624', 'AddAppHeartbeat', 'SQL', 'V202104161624__AddAppHeartbeat.sql', '1267819451', 'root', '2021-04-16 19:17:20', '75', '1');
INSERT INTO `flyway_schema_history` VALUES ('16', '202104221519', 'AddLogSetGas', 'SQL', 'V202104221519__AddLogSetGas.sql', '-1266536076', 'root', '2021-04-22 15:51:11', '87', '1');
INSERT INTO `flyway_schema_history` VALUES ('17', '202105121026', 'AddGasType', 'SQL', 'V202105121026__AddGasType.sql', '498530549', 'root', '2021-05-12 10:27:24', '100', '1');
INSERT INTO `flyway_schema_history` VALUES ('18', '202106141026', 'AddSensorDataBanCi', 'SQL', 'V202106141026__AddSensorDataBanCi.sql', '107221479', 'root', '2021-06-14 22:05:36', '109', '1');
INSERT INTO `flyway_schema_history` VALUES ('19', '202106181528', 'UpdateSensor', 'SQL', 'V202106181528__UpdateSensor.sql', '494951545', 'root', '2021-07-02 09:11:21', '199', '1');
INSERT INTO `flyway_schema_history` VALUES ('20', '202106211528', 'AddWarningPhone', 'SQL', 'V202106211528__AddWarningPhone.sql', '-1116479', 'root', '2021-07-02 09:11:21', '78', '1');
INSERT INTO `flyway_schema_history` VALUES ('21', '202106221528', 'AddWarningPhoneMsg', 'SQL', 'V202106221528__AddWarningPhoneMsg.sql', '-2028946149', 'root', '2021-07-02 09:11:21', '91', '1');
INSERT INTO `flyway_schema_history` VALUES ('22', '202109071623', 'AddSensorDataByHour', 'SQL', 'V202109071623__AddSensorDataByHour.sql', '1404504795', 'root', '2022-12-31 10:31:49', '41', '1');
INSERT INTO `flyway_schema_history` VALUES ('23', '202109081010', 'AddSensorDataByDay', 'SQL', 'V202109081010__AddSensorDataByDay.sql', '-1575582310', 'root', '2022-12-31 10:31:49', '33', '1');
INSERT INTO `flyway_schema_history` VALUES ('24', '202110271511', 'UpdateSensorDataAndSensor', 'SQL', 'V202110271511__UpdateSensorDataAndSensor.sql', '-29040476', 'root', '2022-12-31 10:31:49', '291', '1');
INSERT INTO `flyway_schema_history` VALUES ('25', '202110271620', 'UpdateAccountAndCreateRole', 'SQL', 'V202110271620__UpdateAccountAndCreateRole.sql', '428818566', 'root', '2022-12-31 10:31:50', '144', '1');
INSERT INTO `flyway_schema_history` VALUES ('26', '202111081052', 'AddCustomTask', 'SQL', 'V202111081052__AddCustomTask.sql', '-1575879007', 'root', '2022-12-31 10:31:50', '25', '1');
INSERT INTO `flyway_schema_history` VALUES ('27', '202111131640', 'AddTodayThings', 'SQL', 'V202111131640__AddTodayThings.sql', '594162218', 'root', '2022-12-31 10:31:50', '33', '1');
INSERT INTO `flyway_schema_history` VALUES ('28', '202111231601', 'AddMaintainPerson', 'SQL', 'V202111231601__AddMaintainPerson.sql', '1632434896', 'root', '2022-12-31 10:31:50', '45', '1');
INSERT INTO `flyway_schema_history` VALUES ('29', '202112091128', 'AddWarningSummary', 'SQL', 'V202112091128__AddWarningSummary.sql', '1340867686', 'root', '2022-12-31 10:31:50', '32', '1');
INSERT INTO `flyway_schema_history` VALUES ('30', '202201181756', 'UpdateSensorDataAndSensorNoise', 'SQL', 'V202201181756__UpdateSensorDataAndSensorNoise.sql', '801358758', 'root', '2022-12-31 10:31:50', '286', '1');
INSERT INTO `flyway_schema_history` VALUES ('31', '202202101605', 'AddContentAndResources', 'SQL', 'V202202101605__AddContentAndResources.sql', '-1410458142', 'root', '2022-12-31 10:31:50', '166', '1');
INSERT INTO `flyway_schema_history` VALUES ('32', '202203031611', 'AddLedAudio', 'SQL', 'V202203031611__AddLedAudio.sql', '-795543925', 'root', '2022-12-31 10:31:50', '34', '1');
INSERT INTO `flyway_schema_history` VALUES ('33', '20220310141311', 'AddLedOtherSensor', 'SQL', 'V20220310141311__AddLedOtherSensor.sql', '-1670557637', 'root', '2022-12-31 10:31:50', '29', '1');
INSERT INTO `flyway_schema_history` VALUES ('34', '20220311141522', 'UpdateLedAddLedType', 'SQL', 'V20220311141522__UpdateLedAddLedType.sql', '68202726', 'root', '2022-12-31 10:31:50', '100', '1');
INSERT INTO `flyway_schema_history` VALUES ('35', '20220506191010', 'AddDeptAndUpdateAccount', 'SQL', 'V20220506191010__AddDeptAndUpdateAccount.sql', '1958612122', 'root', '2022-12-31 10:31:51', '307', '1');
INSERT INTO `flyway_schema_history` VALUES ('36', '20220513093010', 'AddApproveAcctounAndLog', 'SQL', 'V20220513093010__AddApproveAcctounAndLog.sql', '1527045318', 'root', '2022-12-31 10:31:51', '59', '1');
INSERT INTO `flyway_schema_history` VALUES ('37', '20220520163010', 'UpdateWorkshifts', 'SQL', 'V20220520163010__UpdateWorkshifts.sql', '-1876678082', 'root', '2022-12-31 10:31:51', '465', '1');
INSERT INTO `flyway_schema_history` VALUES ('38', '20220523175210', 'AddSensorTask', 'SQL', 'V20220523175210__AddSensorTask.sql', '-32822517', 'root', '2022-12-31 10:31:51', '27', '1');
INSERT INTO `flyway_schema_history` VALUES ('39', '20220601113860', 'UpdateSensor', 'SQL', 'V20220601113860__UpdateSensor.sql', '-430667176', 'root', '2022-12-31 10:31:51', '109', '1');
INSERT INTO `flyway_schema_history` VALUES ('40', '20220711162430', 'UpdateBatteryInfo', 'SQL', 'V20220711162430__UpdateBatteryInfo.sql', '282265037', 'root', '2022-12-31 10:31:51', '53', '1');
INSERT INTO `flyway_schema_history` VALUES ('41', '20220715202017', 'AddAppTextAudioLog', 'SQL', 'V20220715202017__AddAppTextAudioLog.sql', '-144533307', 'root', '2022-12-31 10:31:52', '29', '1');
INSERT INTO `flyway_schema_history` VALUES ('42', '20220725160000', 'AddAttachment', 'SQL', 'V20220725160000__AddAttachment.sql', '1970770927', 'root', '2022-12-31 10:31:52', '30', '1');
INSERT INTO `flyway_schema_history` VALUES ('43', '20220725162560', 'UpdateAccount', 'SQL', 'V20220725162560__UpdateAccount.sql', '852545678', 'root', '2022-12-31 10:31:52', '88', '1');
INSERT INTO `flyway_schema_history` VALUES ('44', '20220815113260', 'AddLoginLog', 'SQL', 'V20220815113260__AddLoginLog.sql', '-1747518246', 'root', '2022-12-31 10:31:52', '30', '1');
INSERT INTO `flyway_schema_history` VALUES ('45', '20220816100760', 'UpdateAccount', 'SQL', 'V20220816100760__UpdateAccount.sql', '1452194821', 'root', '2022-12-31 10:31:52', '88', '1');
INSERT INTO `flyway_schema_history` VALUES ('46', '20220826103260', 'UpdateLoginLog', 'SQL', 'V20220826103260__UpdateLoginLog.sql', '-1841596166', 'root', '2022-12-31 10:31:52', '102', '1');
INSERT INTO `flyway_schema_history` VALUES ('47', '20220829091941', 'UpdateMaxSettingAndSettings', 'SQL', 'V20220829091941__UpdateMaxSettingAndSettings.sql', '-82657171', 'root', '2022-12-31 10:31:53', '728', '1');
INSERT INTO `flyway_schema_history` VALUES ('48', '20220906160542', 'UpdateTodayThings', 'SQL', 'V20220906160542__UpdateTodayThings.sql', '-1560817089', 'root', '2022-12-31 10:31:53', '54', '1');
INSERT INTO `flyway_schema_history` VALUES ('49', '20220915175660', 'AddMines', 'SQL', 'V20220915175660__AddMines.sql', '-1978529127', 'root', '2022-12-31 10:31:53', '29', '1');
INSERT INTO `flyway_schema_history` VALUES ('50', '20220920164343', 'UpdateTableAddMinesId', 'SQL', 'V20220920164343__UpdateTableAddMinesId.sql', '1041123033', 'root', '2022-12-31 10:31:53', '99', '1');
INSERT INTO `flyway_schema_history` VALUES ('51', '20221010164318', 'UpdateTableAddMinesIdTwo', 'SQL', 'V20221010164318__UpdateTableAddMinesIdTwo.sql', '-395687228', 'root', '2022-12-31 10:31:53', '145', '1');
INSERT INTO `flyway_schema_history` VALUES ('52', '20221202112018', 'UpdateContent', 'SQL', 'V20221202112018__UpdateContent.sql', '637364648', 'root', '2022-12-31 10:31:53', '181', '1');

-- ----------------------------
-- Table structure for gas_type
-- ----------------------------
DROP TABLE IF EXISTS `gas_type`;
CREATE TABLE `gas_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gas_name` varchar(255) DEFAULT '',
  `status` int(11) DEFAULT '0' COMMENT '0 不显示 1 显示',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of gas_type
-- ----------------------------
INSERT INTO `gas_type` VALUES ('1', 'CH4', '1');
INSERT INTO `gas_type` VALUES ('2', 'CO2', '1');
INSERT INTO `gas_type` VALUES ('3', 'CO', '1');
INSERT INTO `gas_type` VALUES ('4', 'TEMPERATURE', '1');
INSERT INTO `gas_type` VALUES ('5', 'HUMIDITY', '1');
INSERT INTO `gas_type` VALUES ('6', 'O2', '1');
INSERT INTO `gas_type` VALUES ('7', 'H2S', '0');

-- ----------------------------
-- Table structure for hours_table
-- ----------------------------
DROP TABLE IF EXISTS `hours_table`;
CREATE TABLE `hours_table` (
  `hours` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of hours_table
-- ----------------------------
INSERT INTO `hours_table` VALUES ('0');
INSERT INTO `hours_table` VALUES ('1');
INSERT INTO `hours_table` VALUES ('2');
INSERT INTO `hours_table` VALUES ('3');
INSERT INTO `hours_table` VALUES ('4');
INSERT INTO `hours_table` VALUES ('5');
INSERT INTO `hours_table` VALUES ('6');
INSERT INTO `hours_table` VALUES ('7');
INSERT INTO `hours_table` VALUES ('8');
INSERT INTO `hours_table` VALUES ('9');
INSERT INTO `hours_table` VALUES ('10');
INSERT INTO `hours_table` VALUES ('11');
INSERT INTO `hours_table` VALUES ('12');
INSERT INTO `hours_table` VALUES ('13');
INSERT INTO `hours_table` VALUES ('14');
INSERT INTO `hours_table` VALUES ('15');
INSERT INTO `hours_table` VALUES ('16');
INSERT INTO `hours_table` VALUES ('17');
INSERT INTO `hours_table` VALUES ('18');
INSERT INTO `hours_table` VALUES ('19');
INSERT INTO `hours_table` VALUES ('20');
INSERT INTO `hours_table` VALUES ('21');
INSERT INTO `hours_table` VALUES ('22');
INSERT INTO `hours_table` VALUES ('23');

-- ----------------------------
-- Table structure for led
-- ----------------------------
DROP TABLE IF EXISTS `led`;
CREATE TABLE `led` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `mainboardId` varchar(20) DEFAULT NULL,
  `productionDate` varchar(10) DEFAULT NULL,
  `macAddress` longtext,
  `ipAddress` longtext,
  `operatorId` longtext,
  `installationDate` varchar(10) DEFAULT NULL,
  `coordinateX` double DEFAULT NULL,
  `coordinateY` double DEFAULT NULL,
  `coordinateZ` double DEFAULT NULL,
  `alertMode` tinyint(4) DEFAULT NULL COMMENT '是否报警 0默认不报警1报警',
  `escapeDirection` longtext,
  `batteryPid` int(11) DEFAULT NULL,
  `sensorPid` int(11) DEFAULT NULL,
  `relatedSensors` longtext,
  `contentPids` longtext,
  `deviceConnect` int(11) DEFAULT '0' COMMENT '0 未连接 1 链接了',
  `audioIp` varchar(255) NOT NULL DEFAULT '' COMMENT '语音对讲IP',
  `audioId` int(11) NOT NULL DEFAULT '0' COMMENT '语音对讲Id',
  `led_type` int(11) DEFAULT '0' COMMENT '0 原来的PM2.5屏   1 新的PM1.5屏 ',
  `led_slogan` varchar(255) DEFAULT '' COMMENT '小屏播放的标题口号',
  PRIMARY KEY (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of led
-- ----------------------------

-- ----------------------------
-- Table structure for led_audio
-- ----------------------------
DROP TABLE IF EXISTS `led_audio`;
CREATE TABLE `led_audio` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `led_ip` varchar(255) DEFAULT NULL COMMENT 'led的IP地址',
  `audio_id` int(11) NOT NULL DEFAULT '0' COMMENT '语音播报编号',
  `led_pid` int(11) DEFAULT NULL COMMENT 'led_关联的ID',
  `play_msg` varchar(255) DEFAULT NULL COMMENT '播放的文本消息',
  `status` int(11) DEFAULT '0' COMMENT '0 未执行 1已执行',
  `create_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of led_audio
-- ----------------------------

-- ----------------------------
-- Table structure for led_content
-- ----------------------------
DROP TABLE IF EXISTS `led_content`;
CREATE TABLE `led_content` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `led_pid` int(11) DEFAULT NULL COMMENT '关联的屏幕ID',
  `led_resources_id` int(11) DEFAULT NULL COMMENT '关联的资源ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of led_content
-- ----------------------------

-- ----------------------------
-- Table structure for led_content_resources
-- ----------------------------
DROP TABLE IF EXISTS `led_content_resources`;
CREATE TABLE `led_content_resources` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mines_id` int(11) DEFAULT '0' COMMENT '所属矿ID',
  `resources_type` int(11) DEFAULT NULL COMMENT '1文本 2 图片 3 视频',
  `resources_url` varchar(512) DEFAULT NULL COMMENT '下载路径',
  `txt_content` varchar(512) DEFAULT NULL,
  `resources_name` varchar(255) DEFAULT NULL COMMENT '文件名称',
  `led_xml` varchar(1000) DEFAULT NULL,
  `params_info` varchar(1000) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of led_content_resources
-- ----------------------------

-- ----------------------------
-- Table structure for led_network_gather
-- ----------------------------
DROP TABLE IF EXISTS `led_network_gather`;
CREATE TABLE `led_network_gather` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sensor_id` int(11) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `deivce_type` varchar(255) DEFAULT '' COMMENT 'LED屏、传感器、电源',
  `device_ip` varchar(255) DEFAULT NULL,
  `note` varchar(255) DEFAULT '' COMMENT '汇总消息',
  `start_time` datetime DEFAULT NULL,
  `end_time` datetime DEFAULT NULL,
  `status` int(11) DEFAULT '0' COMMENT '0 断网中 1 已经连上',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of led_network_gather
-- ----------------------------

-- ----------------------------
-- Table structure for led_other_sensor
-- ----------------------------
DROP TABLE IF EXISTS `led_other_sensor`;
CREATE TABLE `led_other_sensor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `led_pid` int(11) NOT NULL DEFAULT '0' COMMENT '屏ID',
  `sensor_pid` int(11) NOT NULL DEFAULT '0' COMMENT '传感器ID',
  `create_time` datetime NOT NULL COMMENT '添加时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of led_other_sensor
-- ----------------------------

-- ----------------------------
-- Table structure for log_login
-- ----------------------------
DROP TABLE IF EXISTS `log_login`;
CREATE TABLE `log_login` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_id` int(11) DEFAULT NULL COMMENT '登录人',
  `login_way` varchar(255) DEFAULT NULL COMMENT '登录方式 PC-APP',
  `login_ip` varchar(255) DEFAULT '' COMMENT '登录IP',
  `note` varchar(255) DEFAULT '' COMMENT '备注 比如省市 什么网络',
  `create_time` datetime DEFAULT NULL COMMENT '登录时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of log_login
-- ----------------------------

-- ----------------------------
-- Table structure for log_network
-- ----------------------------
DROP TABLE IF EXISTS `log_network`;
CREATE TABLE `log_network` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT '' COMMENT '什么地方的IP 描述等',
  `ip` varchar(255) DEFAULT '',
  `note` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of log_network
-- ----------------------------

-- ----------------------------
-- Table structure for log_set_gas
-- ----------------------------
DROP TABLE IF EXISTS `log_set_gas`;
CREATE TABLE `log_set_gas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sensor_id` varchar(255) DEFAULT '' COMMENT '设备唯一八位编号',
  `gas_type` varchar(255) NOT NULL DEFAULT '' COMMENT '气体类型',
  `operate` varchar(255) DEFAULT '' COMMENT '加或者减或者重置(value 为0就是重置）',
  `value` double(11,2) DEFAULT '0.00' COMMENT '加减的值',
  `create_time` datetime DEFAULT NULL COMMENT '记录创建时间',
  `exe_time` datetime DEFAULT NULL COMMENT '执行时间',
  `exe_str` varchar(500) DEFAULT '' COMMENT '发送的指令',
  `status` int(11) DEFAULT NULL COMMENT '-1等待调教  0 正在执行  1 执行成功 2 执行失败',
  `account_id` int(11) DEFAULT '0' COMMENT '下命令的用户',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of log_set_gas
-- ----------------------------
INSERT INTO `log_set_gas` VALUES ('5', '79CC638E', 'CH4', '加', '2.00', '2021-05-30 20:48:18', '2021-06-03 15:25:17', '$,33,PAD,210530213824,79CC638E,01,01,2.00,01,E036,*', '1', '1');
INSERT INTO `log_set_gas` VALUES ('9', '0E1F3510', 'CO2', '加', '1.00', '2021-05-30 14:04:47', '2021-06-03 15:25:17', '[超时未返回结果]$,33,PAD,210530213825,0E1F3510,02,01,1.00,01,7275,*', '2', '1');

-- ----------------------------
-- Table structure for maintain_person
-- ----------------------------
DROP TABLE IF EXISTS `maintain_person`;
CREATE TABLE `maintain_person` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `position_name` varchar(255) DEFAULT '' COMMENT '职位',
  `username` varchar(255) DEFAULT '' COMMENT '人名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of maintain_person
-- ----------------------------
INSERT INTO `maintain_person` VALUES ('1', '矿长', '李矿长');
INSERT INTO `maintain_person` VALUES ('2', '总工程师', '叶总工');
INSERT INTO `maintain_person` VALUES ('3', '通防区长', '李区长');
INSERT INTO `maintain_person` VALUES ('4', '调度室主任', '王主任');
INSERT INTO `maintain_person` VALUES ('5', '信息化主任', '马主任');
INSERT INTO `maintain_person` VALUES ('6', '通风检测工程师', '李工');
INSERT INTO `maintain_person` VALUES ('7', '运维工程师', '刘工程');

-- ----------------------------
-- Table structure for max_setting
-- ----------------------------
DROP TABLE IF EXISTS `max_setting`;
CREATE TABLE `max_setting` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sensor_pid` int(11) NOT NULL DEFAULT '0' COMMENT '安装地点编号',
  `CH4` decimal(11,2) NOT NULL,
  `CO2` decimal(11,2) NOT NULL,
  `CO` decimal(11,2) NOT NULL,
  `temperature` decimal(11,2) NOT NULL,
  `O2` decimal(11,2) NOT NULL DEFAULT '100.00',
  `humidity` decimal(11,2) NOT NULL DEFAULT '100.00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of max_setting
-- ----------------------------
INSERT INTO `max_setting` VALUES ('1', '0', '1.00', '1.00', '24.00', '26.00', '18.00', '100.00');

-- ----------------------------
-- Table structure for mines
-- ----------------------------
DROP TABLE IF EXISTS `mines`;
CREATE TABLE `mines` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mine_name` varchar(255) NOT NULL DEFAULT '' COMMENT '煤矿名称',
  `longitude` double(11,6) NOT NULL DEFAULT '0.000000' COMMENT '经度',
  `latitude` double(11,6) NOT NULL DEFAULT '0.000000' COMMENT '纬度',
  `server_url` varchar(512) DEFAULT NULL COMMENT '服务器地址',
  `last_report_time` datetime NOT NULL COMMENT '最后一次上报时间',
  `last_report_details` longtext COMMENT '最后一次上报的详细',
  `install_time` datetime NOT NULL COMMENT '安装时间',
  `install_day` varchar(255) DEFAULT NULL COMMENT '安装日期',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of mines
-- ----------------------------
INSERT INTO `mines` VALUES ('10000', '', '0.000000', '0.000000', null, '2022-09-15 17:59:06', null, '2022-09-15 17:59:08', null);

-- ----------------------------
-- Table structure for report_base
-- ----------------------------
DROP TABLE IF EXISTS `report_base`;
CREATE TABLE `report_base` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `day` varchar(255) NOT NULL DEFAULT '',
  `address` varchar(255) NOT NULL DEFAULT '' COMMENT '地点',
  `shiftnote` varchar(255) NOT NULL DEFAULT '' COMMENT '班报备注',
  `deviceId` varchar(255) NOT NULL DEFAULT '',
  `shiftName` varchar(255) NOT NULL COMMENT '早中夜名字',
  `shiftNumber` int(11) NOT NULL COMMENT '第一次，第二次',
  `maxCO` double DEFAULT NULL,
  `maxCOTime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `maxCO2` double(11,2) DEFAULT '0.00',
  `maxCO2Time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `maxCH4` double(11,2) DEFAULT '0.00',
  `maxCH4Time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `maxH2S` double(11,2) DEFAULT NULL,
  `maxH2STime` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `maxTemperature` double(11,1) DEFAULT NULL,
  `maxTemperatureTime` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `maxHumidity` double DEFAULT NULL,
  `maxHumidityTime` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `minO2` double(11,1) DEFAULT NULL,
  `minO2Time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `createTime` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '记录生成时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of report_base
-- ----------------------------

-- ----------------------------
-- Table structure for report_model
-- ----------------------------
DROP TABLE IF EXISTS `report_model`;
CREATE TABLE `report_model` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mines_id` int(11) DEFAULT '0' COMMENT '所属矿ID',
  `model_name` varchar(255) NOT NULL DEFAULT '' COMMENT '模板名称',
  `model_path` varchar(255) NOT NULL DEFAULT '' COMMENT '模板文件路径',
  `status` int(255) NOT NULL COMMENT '0 不启用 1 启用模板',
  `note` varchar(255) DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of report_model
-- ----------------------------
INSERT INTO `report_model` VALUES ('1', '0', '标准日报', '/report/base', '1', '');
INSERT INTO `report_model` VALUES ('2', '0', '国源-昨日报表-Excel', '/excel/guoyuan', '0', '');
INSERT INTO `report_model` VALUES ('3', '0', '国源-班报表-Word', '/word/guoyuan', '0', '');
INSERT INTO `report_model` VALUES ('4', '0', '黄玉川日报表-Excel', '/huangyuchuan/ribao', '0', '');
INSERT INTO `report_model` VALUES ('5', '0', '肖家洼日报表-Excel', '/xiaojiawa/ribao', '0', '');
INSERT INTO `report_model` VALUES ('6', '0', '麻地梁台账', '/madiliang/taizhang', '0', '');

-- ----------------------------
-- Table structure for report_today
-- ----------------------------
DROP TABLE IF EXISTS `report_today`;
CREATE TABLE `report_today` (
  `max_CO2` double DEFAULT NULL,
  `max_CH4` double DEFAULT NULL,
  `max_temperature` double DEFAULT NULL,
  `max_humidity` double DEFAULT NULL,
  `hour` int(255) DEFAULT NULL,
  `create_time` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of report_today
-- ----------------------------

-- ----------------------------
-- Table structure for report_yesterday
-- ----------------------------
DROP TABLE IF EXISTS `report_yesterday`;
CREATE TABLE `report_yesterday` (
  `max_CO2` double DEFAULT NULL,
  `max_CH4` double DEFAULT NULL,
  `max_temperature` double DEFAULT NULL,
  `max_humidity` double DEFAULT NULL,
  `hour` int(255) DEFAULT NULL,
  `create_time` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of report_yesterday
-- ----------------------------
INSERT INTO `report_yesterday` VALUES ('-1', '0.9', '29.6', '52.1', '2020071908', '2020-07-19 11:39:47');

-- ----------------------------
-- Table structure for role
-- ----------------------------
DROP TABLE IF EXISTS `role`;
CREATE TABLE `role` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of role
-- ----------------------------
INSERT INTO `role` VALUES ('1', '管理员');
INSERT INTO `role` VALUES ('2', '操作员');

-- ----------------------------
-- Table structure for sensor
-- ----------------------------
DROP TABLE IF EXISTS `sensor`;
CREATE TABLE `sensor` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `mines_id` int(11) DEFAULT '0' COMMENT '所属矿ID',
  `robotPid` int(11) DEFAULT NULL COMMENT '机器人ID',
  `stationId` varchar(20) DEFAULT NULL COMMENT '服务器名字或者ID号',
  `deviceId` varchar(20) DEFAULT NULL COMMENT '设备ID标识',
  `deviceIp` varchar(25) DEFAULT NULL COMMENT '设备IP',
  `tempIp` varchar(255) DEFAULT '' COMMENT '红外测温IP',
  `deviceLocation` longtext COMMENT '位置',
  `smokeNormal` tinyint(4) DEFAULT NULL COMMENT '烟感是否正常',
  `CO` double DEFAULT NULL COMMENT '一氧化碳',
  `CO2` double DEFAULT NULL COMMENT '二氧化碳',
  `CH4` double(11,2) DEFAULT NULL COMMENT '甲烷',
  `O2` double DEFAULT NULL COMMENT '氧气',
  `H2S` double DEFAULT NULL COMMENT '指硫化氢',
  `temperature` double DEFAULT NULL COMMENT '温度',
  `humidity` double DEFAULT NULL COMMENT '湿度',
  `coordinateX` double DEFAULT NULL COMMENT '坐标位置X',
  `coordinateY` double DEFAULT NULL COMMENT '坐标位置Y',
  `coordinateZ` double DEFAULT NULL COMMENT '坐标位置Z',
  `openDefault` int(11) DEFAULT '0' COMMENT '是否打开默认数值',
  `luxuryDevice` int(11) DEFAULT '0' COMMENT '是否是豪华版机器人 0不是 1是',
  `COInit` int(11) DEFAULT '0' COMMENT '一氧化碳初始化的记录四十分钟内的数据 1 是 0 不是',
  `wind_speed` double(11,2) DEFAULT NULL COMMENT '风速',
  `wind_direction` double(11,2) DEFAULT NULL COMMENT '风向角度',
  `locate_card` varchar(255) DEFAULT '' COMMENT '定位卡号',
  `last_data_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '最后上数时间',
  `last_tcp_client` datetime DEFAULT CURRENT_TIMESTAMP COMMENT 'tcp 链接的最后时间',
  PRIMARY KEY (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of sensor
-- ----------------------------

-- ----------------------------
-- Table structure for sensordata
-- ----------------------------
DROP TABLE IF EXISTS `sensordata`;
CREATE TABLE `sensordata` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `CO2` double DEFAULT NULL,
  `CH4` double DEFAULT NULL,
  `H2S` double(11,0) DEFAULT '0' COMMENT '硫化氢',
  `CO` double DEFAULT NULL,
  `O2` double DEFAULT NULL,
  `temperature` double DEFAULT NULL,
  `humidity` double DEFAULT NULL,
  `deviceId` varchar(20) DEFAULT NULL,
  `stationId` varchar(20) DEFAULT NULL,
  `uploadTime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '数据时间',
  `smokeNormal` tinyint(4) DEFAULT NULL,
  `distance` double DEFAULT '0' COMMENT '距离多少米',
  `wind_speed` double(11,2) DEFAULT NULL COMMENT '风速',
  `wind_direction` double(11,2) DEFAULT NULL COMMENT '风向角度',
  `locate_card` varchar(255) DEFAULT '' COMMENT '定位卡号',
  `NH3` double(11,2) DEFAULT NULL COMMENT '氨气',
  `NO2` double(11,2) DEFAULT NULL COMMENT '二氧化氮',
  `PM10` double(11,2) DEFAULT NULL COMMENT 'PM10',
  `PM2D5` double(11,2) DEFAULT NULL COMMENT 'PM2.5',
  `noise` double(11,2) DEFAULT NULL COMMENT '噪音',
  `createTime` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建记录时间',
  `COInit` int(11) DEFAULT '0' COMMENT '一氧化碳初始化的记录四十分钟内的数据 1 是 0 不是',
  PRIMARY KEY (`pid`),
  UNIQUE KEY `deviceid_uploadTime` (`deviceId`,`uploadTime`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of sensordata
-- ----------------------------

-- ----------------------------
-- Table structure for sensordatabyday
-- ----------------------------
DROP TABLE IF EXISTS `sensordatabyday`;
CREATE TABLE `sensordatabyday` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `day` varchar(255) DEFAULT '',
  `deviceid` varchar(255) DEFAULT '',
  `max_ch4` double(11,2) NOT NULL DEFAULT '0.00',
  `max_ch4_time` datetime DEFAULT NULL,
  `avg_ch4` double(11,2) DEFAULT '0.00',
  `max_co2` double(11,2) DEFAULT '0.00',
  `max_co2_time` datetime DEFAULT NULL,
  `max_co` double(11,0) DEFAULT '0',
  `max_co_time` datetime DEFAULT NULL,
  `max_temperature` double(11,1) DEFAULT '0.0',
  `max_temperature_time` datetime DEFAULT NULL,
  `max_humidity` double(11,1) DEFAULT '0.0',
  `max_humidity_time` datetime DEFAULT NULL,
  `min_o2` double(11,1) DEFAULT '0.0',
  `min_o2_time` datetime DEFAULT NULL,
  `create_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of sensordatabyday
-- ----------------------------

-- ----------------------------
-- Table structure for sensordatabyhour
-- ----------------------------
DROP TABLE IF EXISTS `sensordatabyhour`;
CREATE TABLE `sensordatabyhour` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hour` varchar(255) DEFAULT '',
  `deviceid` varchar(255) DEFAULT '',
  `max_ch4` double(11,2) NOT NULL DEFAULT '0.00',
  `max_ch4_time` datetime DEFAULT NULL,
  `avg_ch4` double(11,2) DEFAULT '0.00',
  `max_co2` double(11,2) DEFAULT '0.00',
  `max_co2_time` datetime DEFAULT NULL,
  `max_co` double(11,0) DEFAULT '0',
  `max_co_time` datetime DEFAULT NULL,
  `max_temperature` double(11,1) DEFAULT '0.0',
  `max_temperature_time` datetime DEFAULT NULL,
  `max_humidity` double(11,1) DEFAULT '0.0',
  `max_humidity_time` datetime DEFAULT NULL,
  `min_o2` double(11,1) DEFAULT '0.0',
  `min_o2_time` datetime DEFAULT NULL,
  `create_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of sensordatabyhour
-- ----------------------------

-- ----------------------------
-- Table structure for sensordata_banci
-- ----------------------------
DROP TABLE IF EXISTS `sensordata_banci`;
CREATE TABLE `sensordata_banci` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `day` varchar(255) DEFAULT '',
  `device_id` varchar(255) DEFAULT '',
  `note` varchar(255) DEFAULT '' COMMENT '班次',
  `max_ch4` double(11,2) NOT NULL DEFAULT '0.00',
  `max_ch4_time` datetime DEFAULT NULL,
  `avg_ch4` double(11,2) DEFAULT '0.00' COMMENT '甲烷平均数',
  `max_co2` double(11,2) DEFAULT '0.00',
  `max_co2_time` datetime DEFAULT NULL,
  `max_co` double(11,0) DEFAULT '0',
  `max_co_time` datetime DEFAULT NULL,
  `max_temperature` double(11,1) DEFAULT '0.0',
  `max_temperature_time` datetime DEFAULT NULL,
  `max_humidity` double(11,1) DEFAULT '0.0',
  `max_humidity_time` datetime DEFAULT NULL,
  `min_o2` double(11,1) DEFAULT '0.0',
  `min_o2_time` datetime DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of sensordata_banci
-- ----------------------------

-- ----------------------------
-- Table structure for sensor_task
-- ----------------------------
DROP TABLE IF EXISTS `sensor_task`;
CREATE TABLE `sensor_task` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sensor_id` varchar(255) DEFAULT NULL,
  `exe_str` varchar(500) DEFAULT '' COMMENT '执行的命令',
  `status` int(11) DEFAULT NULL COMMENT '-1等待调教  0 正在执行  1 执行成功 2 执行失败',
  `create_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of sensor_task
-- ----------------------------

-- ----------------------------
-- Table structure for settings
-- ----------------------------
DROP TABLE IF EXISTS `settings`;
CREATE TABLE `settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mines_id` int(11) DEFAULT '0' COMMENT '所属矿ID',
  `appkey` varchar(255) DEFAULT '',
  `appval` varchar(255) DEFAULT '',
  `note` varchar(255) DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `appkey_un` (`appkey`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of settings
-- ----------------------------
INSERT INTO `settings` VALUES ('1', '0', 'luxury_thickness', '0.53', '豪华版机器人默认检测气体的换算厚度（米）');
INSERT INTO `settings` VALUES ('2', '0', 'luxury_lv', '0.0001', '豪华版机器人换算比率');
INSERT INTO `settings` VALUES ('3', '0', 'led_refresh_rate', '1', '刷新频率（数据同LED同时刷新）取值范围（1~30）');
INSERT INTO `settings` VALUES ('4', '0', 'cloud_model', '0', '是否云模式（0不是1是）');
INSERT INTO `settings` VALUES ('5', '0', 'cad_background', 'http://led.longder.com/test.ocf', '');
INSERT INTO `settings` VALUES ('6', '0', 'data_home_url', 'http://localhost:9001/', '');
INSERT INTO `settings` VALUES ('7', '0', 'map_home_url', 'http://localhost:9001/bigmap/index.html', '');
INSERT INTO `settings` VALUES ('8', '0', 'use_last_data', '1', '');
INSERT INTO `settings` VALUES ('9', '0', 'warning_device_fault', '1', '');
INSERT INTO `settings` VALUES ('10', '0', 'warning_device_fault_jiange', '5', '');
INSERT INTO `settings` VALUES ('11', '0', 'warning_overrun_gas', '1', '');
INSERT INTO `settings` VALUES ('12', '0', 'warning_overrun_gas_jiange', '5', '');
INSERT INTO `settings` VALUES ('13', '0', 'phone_send_warning_msg', '1', '');
INSERT INTO `settings` VALUES ('14', '0', 'mine_name', '煤矿名称', '矿名称');
INSERT INTO `settings` VALUES ('15', '0', 'refresh_led_FS', '1', 'LED屏幕刷新频率控制-分钟');
INSERT INTO `settings` VALUES ('16', '0', 'sensor_time_out', '60', '判断传感器离线的秒数');

-- ----------------------------
-- Table structure for settings_sensor
-- ----------------------------
DROP TABLE IF EXISTS `settings_sensor`;
CREATE TABLE `settings_sensor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `device_id` varchar(255) NOT NULL DEFAULT '' COMMENT '设备编号 （八位唯一编号）',
  `gas_type` varchar(255) NOT NULL DEFAULT '' COMMENT '气体类型 大写 CO CO2',
  `sensor_value` double(11,2) NOT NULL DEFAULT '0.00' COMMENT '减去的值',
  `create_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of settings_sensor
-- ----------------------------

-- ----------------------------
-- Table structure for shiftreport
-- ----------------------------
DROP TABLE IF EXISTS `shiftreport`;
CREATE TABLE `shiftreport` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `reportDate` varchar(20) DEFAULT NULL,
  `reportName` longtext,
  `sensorId` varchar(20) DEFAULT NULL,
  `location` longtext,
  `shiftName` varchar(20) DEFAULT NULL,
  `shiftNumber` int(11) DEFAULT NULL,
  `maxCO` int(11) DEFAULT NULL,
  `maxCOTime` longtext,
  `maxCO2` double DEFAULT NULL,
  `maxCO2Time` longtext,
  `maxCH4` double DEFAULT NULL,
  `maxCH4Time` longtext,
  `maxH2S` double DEFAULT NULL,
  `maxH2STime` longtext,
  `maxTemperature` double DEFAULT NULL,
  `maxTemperatureTime` longtext,
  `maxHumidity` double DEFAULT NULL,
  `maxHumidityTime` longtext,
  `minO2` double DEFAULT NULL,
  `minO2Time` longtext,
  PRIMARY KEY (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of shiftreport
-- ----------------------------

-- ----------------------------
-- Table structure for sys_account
-- ----------------------------
DROP TABLE IF EXISTS `sys_account`;
CREATE TABLE `sys_account` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_name` varchar(255) DEFAULT '',
  `password` varchar(255) DEFAULT '',
  `role_id` int(11) DEFAULT '0' COMMENT '角色ID',
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of sys_account
-- ----------------------------
INSERT INTO `sys_account` VALUES ('1', 'admin', 'admin', '0', null, null);
INSERT INTO `sys_account` VALUES ('2', 'admin', 'admin1', '0', null, null);

-- ----------------------------
-- Table structure for sys_log_led
-- ----------------------------
DROP TABLE IF EXISTS `sys_log_led`;
CREATE TABLE `sys_log_led` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sensor_id` int(11) DEFAULT NULL COMMENT '关联的ID',
  `CH4` double(255,2) DEFAULT NULL,
  `CO2` double(255,2) DEFAULT NULL,
  `CO` double(255,0) DEFAULT NULL,
  `temperature` double(255,1) DEFAULT NULL,
  `O2` double(255,1) DEFAULT NULL,
  `humidity` double(255,0) DEFAULT NULL,
  `status` int(11) DEFAULT '0' COMMENT '0 默认 1 成功 2失败',
  `remark` varchar(255) DEFAULT '' COMMENT '备注',
  `create_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of sys_log_led
-- ----------------------------

-- ----------------------------
-- Table structure for today_things
-- ----------------------------
DROP TABLE IF EXISTS `today_things`;
CREATE TABLE `today_things` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mines_id` int(11) DEFAULT '0' COMMENT '所属矿ID',
  `title` varchar(255) DEFAULT '' COMMENT '待办的标题',
  `content` varchar(255) DEFAULT '' COMMENT '待办的内容',
  `status` int(11) DEFAULT '0' COMMENT '0 未做 1 已完成 ',
  `remind_time` datetime NOT NULL COMMENT '提醒时间',
  `create_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of today_things
-- ----------------------------

-- ----------------------------
-- Table structure for todolist
-- ----------------------------
DROP TABLE IF EXISTS `todolist`;
CREATE TABLE `todolist` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `administrator` varchar(20) DEFAULT NULL,
  `uploadDate` varchar(10) DEFAULT NULL,
  `author` varchar(20) DEFAULT NULL,
  `name` longtext,
  `localPath` longtext,
  PRIMARY KEY (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of todolist
-- ----------------------------

-- ----------------------------
-- Table structure for warning
-- ----------------------------
DROP TABLE IF EXISTS `warning`;
CREATE TABLE `warning` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `sensorPid` int(11) DEFAULT NULL COMMENT '设备PID',
  `startTime` varchar(20) DEFAULT NULL COMMENT '时间',
  `reason` longtext COMMENT '报警提示',
  `active` tinyint(4) DEFAULT NULL COMMENT '是否有效 1有效 （有效时不会插入相同传感器的报警信息） 0无效',
  `errorValue` longtext COMMENT '错误值',
  `operatorId` longtext,
  `operation` longtext,
  `operationTime` varchar(20) DEFAULT NULL,
  `operationResult` longtext,
  `recheckTime` varchar(20) DEFAULT NULL,
  `recheckAdministratorId` longtext,
  `recheckResult` longtext,
  PRIMARY KEY (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of warning
-- ----------------------------

-- ----------------------------
-- Table structure for warning_phone
-- ----------------------------
DROP TABLE IF EXISTS `warning_phone`;
CREATE TABLE `warning_phone` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mines_id` int(11) DEFAULT '0' COMMENT '所属矿ID',
  `nickname` varchar(255) DEFAULT '' COMMENT '昵称或者人名',
  `phone` varchar(11) NOT NULL DEFAULT '',
  `type` int(11) DEFAULT '0' COMMENT '0  故障和超限都通知  1 只通知故障  2 只通知超限',
  `create_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of warning_phone
-- ----------------------------

-- ----------------------------
-- Table structure for warning_phone_msg
-- ----------------------------
DROP TABLE IF EXISTS `warning_phone_msg`;
CREATE TABLE `warning_phone_msg` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mines_id` int(11) DEFAULT '0' COMMENT '所属矿ID',
  `phone` varchar(255) DEFAULT '' COMMENT '通知的手机号',
  `msg_info` varchar(510) DEFAULT '' COMMENT '通知的消息内容',
  `msg_info_type` int(11) DEFAULT '0' COMMENT '0 默认普通短信 1 故障报警  2 超限报警',
  `send_result` int(11) DEFAULT NULL COMMENT '发送短信返回的结果 0 失败 1 成功',
  `create_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of warning_phone_msg
-- ----------------------------

-- ----------------------------
-- Table structure for warning_summary
-- ----------------------------
DROP TABLE IF EXISTS `warning_summary`;
CREATE TABLE `warning_summary` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sensor_pid` int(11) NOT NULL DEFAULT '0' COMMENT '报警点的关联传感器系统编号',
  `gas_type` varchar(255) DEFAULT NULL COMMENT '具体报警的气体是哪一项气体',
  `reason` varchar(255) DEFAULT '' COMMENT '报警提示那一项报的警，报警值到多少',
  `start_time` datetime DEFAULT NULL COMMENT '开始报警时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束报警时间',
  `action_result` varchar(255) DEFAULT '' COMMENT '处置过程、结果',
  `action_time` datetime DEFAULT NULL COMMENT '处置时间',
  `action_person` varchar(255) DEFAULT NULL COMMENT '处理报警人',
  `status` int(11) DEFAULT '0' COMMENT '0 正在报警  1 已经结束了 2 人工确认完的了',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of warning_summary
-- ----------------------------

-- ----------------------------
-- Table structure for workshifts
-- ----------------------------
DROP TABLE IF EXISTS `workshifts`;
CREATE TABLE `workshifts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hourStart` int(11) NOT NULL,
  `minStart` int(11) DEFAULT '0' COMMENT '开始分钟',
  `start_time` time DEFAULT NULL COMMENT '开始时间',
  `hourEnd` int(11) NOT NULL,
  `minEnd` int(11) DEFAULT '0' COMMENT '结束分钟',
  `end_time` time DEFAULT NULL COMMENT '结束时间',
  `shiftsName` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of workshifts
-- ----------------------------
INSERT INTO `workshifts` VALUES ('1', '0', '0', null, '8', '0', null, '夜班');
INSERT INTO `workshifts` VALUES ('2', '8', '0', null, '16', '0', null, '早班');
INSERT INTO `workshifts` VALUES ('3', '16', '0', null, '24', '0', null, '中班');

-- ----------------------------
-- Procedure structure for insert_report_today
-- ----------------------------
DROP PROCEDURE IF EXISTS `insert_report_today`;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `insert_report_today`()
BEGIN
	
		
		
		
		
 INSERT INTO `ledrobotold`.`sensordata` (
`CO2`, `CH4`, `CO`, `O2`, `temperature`, `humidity`, `deviceId`, `stationId`, `uploadTime`, `smokeNormal`,`createTime`) VALUES (
 rand_num(0.0,0.09),rand_num(0.0,0.09), rand_num(1, 20),rand_num(20.5,20.9),rand_num(20,20.9), '45.9', '95C3ACA8', '10000', now(), '1',now());
 INSERT INTO `ledrobotold`.`sensordata` (
`CO2`, `CH4`, `CO`, `O2`, `temperature`, `humidity`, `deviceId`, `stationId`, `uploadTime`, `smokeNormal`,`createTime`) VALUES (
 rand_num(0.0,0.09),rand_num(0.0,0.09), rand_num(1, 20),rand_num(20.5,20.9),rand_num(20,20.9), '45.9', '0E1F3511', '10000', now(), '1',now());
END
;;
DELIMITER ;

-- ----------------------------
-- Function structure for rand_num
-- ----------------------------
DROP FUNCTION IF EXISTS `rand_num`;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` FUNCTION `rand_num`(
    start_num DOUBLE,
    end_num DOUBLE
) RETURNS double
BEGIN
		RETURN ROUND(start_num + RAND() * (end_num - start_num),1);
END
;;
DELIMITER ;

-- ----------------------------
-- Function structure for rand_num1
-- ----------------------------
DROP FUNCTION IF EXISTS `rand_num1`;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` FUNCTION `rand_num1`(
    start_num DOUBLE,
    end_num DOUBLE
) RETURNS double
BEGIN
    RETURN FLOOR(start_num + RAND() * (end_num - start_num + 1));
END
;;
DELIMITER ;

-- ----------------------------
-- Function structure for rand_num2
-- ----------------------------
DROP FUNCTION IF EXISTS `rand_num2`;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` FUNCTION `rand_num2`(
    start_num DOUBLE,
    end_num DOUBLE
) RETURNS double
BEGIN
		RETURN ROUND(start_num + RAND() * (end_num - start_num),2);
END
;;
DELIMITER ;

-- ----------------------------
-- Event structure for e_report_today
-- ----------------------------
DROP EVENT IF EXISTS `e_report_today`;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` EVENT `e_report_today` ON SCHEDULE EVERY 10 SECOND STARTS '2020-07-19 00:49:44' ON COMPLETION PRESERVE ENABLE DO call insert_report_today()
;;
DELIMITER ;
